
Castor3D - Évolution  #1713

Interface de CastorViewer

08/21/2015 05:13 PM - dragonjoker59

Status: Fermé Start date: 08/21/2015

Priority: Normal Due date:  

Assignee: dragonjoker59 % Done: 100%

Category: IHM Estimated time: 0.00 hour

Target version: 0.8.0 Spent time: 24.00 hours

Lien forum:    

Description

Moderniser l'interface de CastorViewer.

Réhabiliter la fenêtre de log.

Revoir le panneau de propriétés des géométries.

Revoir le panneau des matériaux.

History

#1 - 08/23/2015 02:53 AM - dragonjoker59

Bien avancé, utilisation de wxAuiManager, de manière appropriée, et ça fonctionne bien.

Je passe les propriétés dans une nouvelle fenêtre, en utilisant des wxPropertyGrid.

#2 - 08/23/2015 02:53 AM - dragonjoker59

- % Done changed from 0 to 40

#3 - 08/23/2015 02:57 AM - dragonjoker59

- Category set to IHM

- Status changed from Nouveau to Assigné

- Assignee set to dragonjoker59

- Target version set to 0.8.0

#4 - 08/27/2015 10:19 AM - dragonjoker59

- % Done changed from 40 to 70

#5 - 09/03/2015 01:45 PM - dragonjoker59

- Status changed from Assigné to Résolu

- % Done changed from 70 to 100

Termine pour CastorViewer, il faudra integrer un menu deroulant lors d'un clic droit sur un item des tree, pour notamment pouvoir ajouter une passe

ou une texture.

#6 - 09/03/2015 02:00 PM - dragonjoker59

- Status changed from Résolu to Fermé
